Restoring session on Mac with multiple screens puts windows all on one screen
When I use session restore on my multi-display Mac, all my windows restore to the same screen instead of going back onto the screens I had carefully positioned them on.  Icky.